Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QDockWidget.DockWidgetFeature

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QDockWidget.DockWidgetFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDockWidget

    public static final class QDockWidget.DockWidgetFeature

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QDockWidget.DockWidgetFeature` | `AllDockWidgetFeatures` (Deprecated) The dock widget can be closed, moved, and floated.
`static QDockWidget.DockWidgetFeature` | `DockWidgetClosable` The dock widget can be closed.
`static QDockWidget.DockWidgetFeature` | `DockWidgetFeatureMask`
`static QDockWidget.DockWidgetFeature` | `DockWidgetFloatable` The dock widget can be detached from the main window, and floated as an independent window.
`static QDockWidget.DockWidgetFeature` | `DockWidgetMovable` The dock widget can be moved between docks by the user.
`static QDockWidget.DockWidgetFeature` | `DockWidgetVerticalTitleBar` The dock widget displays a vertical title bar on its left side.
`static QDockWidget.DockWidgetFeature` | `NoDockWidgetFeatures` The dock widget cannot be closed, moved, or floated.
`static QDockWidget.DockWidgetFeature` | `Reserved`

Method Summary
`static QDockWidget.DockWidgetFeatures` | `createQFlags(QDockWidget.DockWidgetFeature[] values)` This function creates a com.trolltech.qt.gui.QDockWidget$DockWidgetFeatures with the specified `com.trolltech.qt.gui.QDockWidget$DockWidgetFeature[]` QDockWidget$DockWidgetFeature values set.
`static QDockWidget.DockWidgetFeature` | `resolve(int value)` Returns the QDockWidget$DockWidgetFeature constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDockWidget.DockWidgetFeature` | `valueOf(java.lang.String name)`
`static QDockWidget.DockWidgetFeature[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DockWidgetClosable

    public static final QDockWidget.DockWidgetFeature DockWidgetClosable

  The dock widget can be closed.

### DockWidgetMovable

    public static final QDockWidget.DockWidgetFeature DockWidgetMovable

  The dock widget can be moved between docks by the user.

### DockWidgetFloatable

    public static final QDockWidget.DockWidgetFeature DockWidgetFloatable

  The dock widget can be detached from the main window, and floated as an independent window.

### DockWidgetVerticalTitleBar

    public static final QDockWidget.DockWidgetFeature DockWidgetVerticalTitleBar

  The dock widget displays a vertical title bar on its left side. This can be used to increase the amount of vertical space in a `QMainWindow`.

### DockWidgetFeatureMask

    public static final QDockWidget.DockWidgetFeature DockWidgetFeatureMask

### AllDockWidgetFeatures

    public static final QDockWidget.DockWidgetFeature AllDockWidgetFeatures

  (Deprecated) The dock widget can be closed, moved, and floated. Since new features might be added in future releases, the look and behavior of dock widgets might change if you use this flag. Please specify individual flags instead.

### NoDockWidgetFeatures

    public static final QDockWidget.DockWidgetFeature NoDockWidgetFeatures

  The dock widget cannot be closed, moved, or floated.

### Reserved

    public static final QDockWidget.DockWidgetFeature Reserved

Method Detail

### values

    public static QDockWidget.DockWidgetFeature[] values()

### valueOf

    public static QDockWidget.DockWidgetFeature valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QDockWidget.DockWidgetFeatures createQFlags(QDockWidget.DockWidgetFeature[] values)

  This function creates a com.trolltech.qt.gui.QDockWidget$DockWidgetFeatures with the specified `com.trolltech.qt.gui.QDockWidget$DockWidgetFeature[]` QDockWidget$DockWidgetFeature values set.

### resolve

    public static QDockWidget.DockWidgetFeature resolve(int value)

  Returns the QDockWidget$DockWidgetFeature constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD